host_url: https://gitlab.com
resource_rules:
  issues:
    rules:
    - name: "Auto close support team contributions report"
      conditions:
        date:
          attribute: created_at
          condition: older_than
          interval_type: days
          interval: 2
        labels:
        - "Support Team Contributions"
        state: opened
      actions:
        status: close
    - name: "Missing OKR label"
      conditions:
        date:
          attribute: created_at
          condition: older_than
          interval_type: days
          interval: 3
        state: opened
        forbidden_labels:
        - "FY26 OKR::Auto Closing"
        - "FY26 OKR::Not Applicable"
        - "FY25 OKR::People : Strengthen the team"
        - "FY25 OKR::Process : Enhance our systems"
        - "FY25 OKR::Performance : Delight our customers"
        - "OKR FY25::Not Applicable"
        - "OKR FY25::Auto Closing"
        - "OKR FY24::Not Applicable"
        - "OKR FY24::Auto Closing"
        - "OKR FY23::Team Member Development"
        - "OKR FY23::Customer Results"
        - "OKR FY23::Organizational Efficiency"
        - "OKR FY24::Strengthen the Team"
        - "OKR FY24::Customer Results"
        - "OKR FY24::Scaling Support"
      limits:
        most_recent: 50
      actions:
        labels:
        - "FY26 OKR::Auto Closing"
        comment: |
          {{author}} This issue is missing an OKR label. Please add one ASAP. Please note this issue will be closed in 7 days if no updates occur.

          The current OKR labels can be added with any of these [quick actions](https://docs.gitlab.com/ee/user/project/quick_actions.html):

          * `/label ~"FY25 OKR::People : Strengthen the team"`
          * `/label ~"FY25 OKR::Process : Enhance our systems"`
          * `/label ~"FY25 OKR::Performance : Delight our customers"`
          * `/label ~"FY26 OKR::Not Applicable"`
    - name: "Close old issues with an undefined OKR label"
      conditions:
        date:
          attribute: updated_at
          condition: older_than
          interval_type: days
          interval: 7
        state: opened
        labels:
        - "FY26 OKR::Auto Closing"
      limits:
        most_recent: 50
      actions:
        status: close
    - name: Close issues over 3 months of inactivity
      conditions:
        date:
          attribute: updated_at
          condition: older_than
          interval_type: months
          interval: 3
        state: opened
      forbidden_labels:
        - "skip auto close"
      actions:
        status: close
        label: "auto closed"
        comment: |
          Hi,

          We are cleaning up inactive issues in this tracker by closing down issues that meet the following criteria:
          * No activity in the past 3 months

          Please reopen this issue and add the `skip auto close` label.

          Kind Regards,
          GitLab Support Team
